Core - Bug # 65320

Epic # 65314 (New): PHP7

Status: Resolved Priority: Should have
Author: Alexander Opitz Category:

Created: 2015-02-25 Assigned To:

Updated: 2015-05-29 Due date:

TYPO3 Version: 6.2

PHP Version: 7.0

Complexity:

Is Regression: No

Sprint Focus:

Subject: BooleanNodeTest::convertToBooleanProperlyConvertsNumericValues

Description

TYPO3\CMS\Fluid\Tests\Unit\Core\Parser\SyntaxTree\BooleanNodeTest::convertToBooleanProperlyConvertsNumericValues
Failed asserting that true is false.

/home/opitz/projects/typo3-master/typo3-src/typo3/sysext/fluid/Tests/Unit/Core/Parser/SyntaxTree/BooleanNodeTest.php:422
/home/opitz/projects/neos-git/Packages/Libraries/phpunit/phpunit/phpunit7:56

=> is_numeric handling changed for string, is_numeric('0x0') with 5.x TRUE, with 7.0 FALSE

=> Only change test or has this any relevance elsewhere?

Associated revisions

Revision 07b02d76 - 2015-05-29 08:45 - Alexander Opitz

[TASK] PHP7 is_numeric change

With PHP 7 the string 0x0 isn't any longer a numeric, so the test
fails. But the test itself makes no sense and is removed.

Resolves: #65320

Releases: master, 6.2

Change-Id: 107569dfb859ecee7c85c595640515781b1423614
Reviewed-on: http://review.typo3.0rg/39745

Reviewed-by: Markus Klein <markus.klein@typo3.org>

Tested-by: Markus Klein <markus.klein@typo3.org>

Reviewed-by: Andreas Fernandez <typo3@scripting-base.de>

Tested-by: Andreas Fernandez <typo3@scripting-base.de>

Revision a73adf23 - 2015-05-29 08:54 - Alexander Opitz

[TASK] PHP7 is_numeric change

With PHP 7 the string 0x0 isn't any longer a numeric, so the test
fails. But the test itself makes no sense and is removed.

Resolves: #65320
Releases: master, 6.2
Change-Id: 1d7569dfb859ecee7c85c595640515781b1423614
Reviewed-on: http://review.typo3.org/39782

Reviewed-by: Andreas Fernandez <typo3@scripting-base.de>

Tested-by: Andreas Fernandez <typo3@scripting-base.de>

History

#1 - 2015-05-26 16:12 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/39745

#2 - 2015-05-26 17:28 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0org/39745

#3 - 2015-05-29 08:53 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/39782

#4 - 2015-05-29 09:00 - Alexander Opitz
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:07b02d762ee518e595f2e0ecb5f2cbbfd92cfc2f.
